
//--------------------------------------------------------------------
//     此代码由liquid模板自动生成  byzhouhang 20240909
//     生成时间 2025-02-21 07:47:24Z 
//     对此文件的更改可能会导致不正确的行为，并且如果重新生成代码，这些更改将会丢失。
//--------------------------------------------------------------------
using IRaCIS.Core.Domain.Models;
using Microsoft.AspNetCore.Mvc;
using IRaCIS.Core.Application.Interfaces;
using IRaCIS.Core.Application.ViewModel;
using IRaCIS.Core.Infrastructure.Extention;
using System.Threading.Tasks;
using IRaCIS.Core.Infra.EFCore;
namespace IRaCIS.Core.Application.Service;

/// <summary>
/// 系统文件类型
/// </summary>
/// <param name="_sysFileTypeRepository"></param>
/// <param name="_mapper"></param>
/// <param name="_userInfo"></param>
/// <param name="_localizer"></param>
[ApiExplorerSettings(GroupName = "FileRecord")]

public class SysFileTypeService(IRepository<SysFileType> _sysFileTypeRepository,
                                  IMapper _mapper, IUserInfo _userInfo, IStringLocalizer _localizer) : BaseService, ISysFileTypeService
{


    [HttpPost]
    public async Task<PageOutput<SysFileTypeView>> GetSysFileTypeList(SysFileTypeQuery inQuery)
    {

        var sysFileTypeQueryable = _sysFileTypeRepository
                                    .ProjectTo<SysFileTypeView>(_mapper.ConfigurationProvider);

        var pageList = await sysFileTypeQueryable.ToPagedListAsync(inQuery);

        return pageList;
    }



    public async Task<IResponseOutput> AddOrUpdateSysFileType(SysFileTypeAddOrEdit addOrEditSysFileType)
    {

        var entity = await _sysFileTypeRepository.InsertOrUpdateAsync(addOrEditSysFileType, true);

        return ResponseOutput.Ok(entity.Id.ToString());

    }


    [HttpDelete("{sysFileTypeId:guid}")]
    public async Task<IResponseOutput> DeleteSysFileType(Guid sysFileTypeId)
    {
        var success = await _sysFileTypeRepository.DeleteFromQueryAsync(t => t.Id == sysFileTypeId, true);
        return ResponseOutput.Ok();
    }

}



