
//--------------------------------------------------------------------
//     此代码由liquid模板自动生成  byzhouhang 20240909
//     生成时间 2025-02-21 07:47:30Z 
//     对此文件的更改可能会导致不正确的行为，并且如果重新生成代码，这些更改将会丢失。
//--------------------------------------------------------------------
using IRaCIS.Core.Domain.Models;
using Microsoft.AspNetCore.Mvc;
using IRaCIS.Core.Application.Interfaces;
using IRaCIS.Core.Application.ViewModel;
using IRaCIS.Core.Infrastructure.Extention;
using System.Threading.Tasks;
using IRaCIS.Core.Infra.EFCore;
namespace IRaCIS.Core.Application.Service;

/// <summary>
/// 项目文件类型
/// </summary>
/// <param name="_trialFileTypeRepository"></param>
/// <param name="_mapper"></param>
/// <param name="_userInfo"></param>
/// <param name="_localizer"></param>
[ApiExplorerSettings(GroupName = "FileRecord")]
public class TrialFileTypeService(IRepository<TrialFileType> _trialFileTypeRepository,
                                  IMapper _mapper, IUserInfo _userInfo, IStringLocalizer _localizer) : BaseService, ITrialFileTypeService
{


    [HttpPost]
    public async Task<PageOutput<TrialFileTypeView>> GetTrialFileTypeList(TrialFileTypeQuery inQuery)
    {

        var trialFileTypeQueryable = _trialFileTypeRepository
                                    .ProjectTo<TrialFileTypeView>(_mapper.ConfigurationProvider);

        var pageList = await trialFileTypeQueryable.ToPagedListAsync(inQuery);

        return pageList;
    }



    public async Task<IResponseOutput> AddOrUpdateTrialFileType(TrialFileTypeAddOrEdit addOrEditTrialFileType)
    {
        //  在此处拷贝automapper 映射

      

        var entity = await _trialFileTypeRepository.InsertOrUpdateAsync(addOrEditTrialFileType, true);

        return ResponseOutput.Ok(entity.Id.ToString());

    }


    [HttpDelete("{trialFileTypeId:guid}")]
    public async Task<IResponseOutput> DeleteTrialFileType(Guid trialFileTypeId)
    {
        var success = await _trialFileTypeRepository.DeleteFromQueryAsync(t => t.Id == trialFileTypeId, true);
        return ResponseOutput.Ok();
    }

}



